version: '3.8'

services:
  nginx_proxy_manager:
    image: 'jc21/nginx-proxy-manager:latest'
    restart: unless-stopped
    ports:
      - '80:80'
      - '81:81'
      - '443:443'
    volumes:
      - ./data/nginx_proxy_manager:/data
      - ./letsencrypt:/etc/letsencrypt
  api:
    build: ./webloc-backend
    ports:
      - '3080:3080'
    volumes:
      - ./data/downloads:/usr/src/app/downloads
      - ./data/data:/usr/src/app/data
    restart: unless-stopped
    depends_on:
      - nginx_proxy_manager
  front:
    build: ./webloc-frontend
    ports:
      - '3000:3000'
    restart: unless-stopped
    depends_on:
      - api
      - nginx_proxy_manager
